MKFS.JFFS2(1)

NAME
mkfs.jffs2 - Create a JFFS2 filesystem image from directory

SYNOPSIS
mkfs.jffs [ -b,--big-endian -l,--little-endian ] [ -e,--eraseblock=SIZE ] [ -s,--pagesize=SIZE ] [ -p,--pad[=SIZE] ] [ -h,--help ] [ -v,--version ] [ -r,--root directory ] [ -o,--output image.jffs2 ]

DESCRIPTION
The program mkfs.jffs2 creates a JFFS2 (Second Journaling Flash Filesystem) filesystem image and writes the resulting image to the file specified by the option -o or to the standard output by default. The filesystem image is created using the files and directories contained in the directory specified by the option -r or the present directory, if the -r option is not specified. Files to be placed into the filesystem image are compressed using the zlib compression library. Filesystems are created with the same endianness as the host, unless the -b or -l options are specified. As of 2001-04-21, the JFFS2 driver in the Linux kernel only supported images having the same endianness as the CPU. It is unlikely that JFFS2 images are useful except in conjuction with the MTD (Memory Technology Device) drivers in the Linux kernel, since the JFFS2 filesystem driver in the kernel requires MTD devices.

OPTIONS
Options that take SIZE arguments can be specified as either decimal (e.g., 65536), octal (0200000), or hexidecimal (0x1000).

-b, --big-endian
    Create a big-endian JFFS2 image. Default is to make an image with the same endianness as the host.

-e, --eraseblock=SIZE
    Use erase block size SIZE. The default is 64 kB. If you use a erase block size different than the erase block size of the target MTD device, JFFS2 may not perform optimally.

-h, --help
    Display help text.

-l, --little-endian
    Create a little-endian JFFS2 image. Default is to make an image with the same endianness as the host.

-o, --output=FILE
    Write JFFS2 image to file FILE. Default is the standard output.

-p, --pad[=SIZE]
    Pad output to SIZE bytes with 0xFF. If SIZE is not specified, the output is padded to the end of the final erase block.

-r, -d, --root=DIR
    Build filesystem from directory DIR. The default is the current directory.

-s, --pagesize=SIZE
    Use page size SIZE. The default is 4 kB. This size is the maximum size of a data node.

-v, --version
    Display version information.

BUGS
JFFS2 limits device major and minor numbers to 8 bits each. Some consider this a bug. mkfs.jffs2 does not properly handle hard links in the input directory structure. Currently, hard linked files will be expanded to multiple identical files in the output image.

AUTHORS
David Woodhouse
Manual page written by David Schleef <ds@schleef.org>

SEE ALSO
mkfs(8), mkfs.jffs(1), fakeroot(1)